package com.xxfc.platform.common.annotaion;

import com.xxfc.platform.common.util.RedisLock;

import java.lang.annotation.*;
/**
 * @author libin
 * @version 1.0
 * @description 
 * @data 2019/7/8 15:26
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface NoRepeatSubmit {
     long timeout() default 10;
     String pre() default "";
     RedisLock.ExpireTimeUnitEnum exptunit() default RedisLock.ExpireTimeUnitEnum.EXPIRETIME;
}
